package hr.fer.ruazosa.implicittest;

import java.util.ArrayList;
import java.util.List;

import android.net.Uri;
import android.os.Bundle;
import android.provider.ContactsContract.CommonDataKinds.Phone;
import android.app.Activity;
import android.app.AlertDialog;
import android.app.SearchManager;
import android.content.DialogInterface;
import android.content.Intent;
import android.database.Cursor;
import android.view.View;
import android.widget.Button;

public class SelectIntent extends Activity {

	private static final int PICK_CONTACT_REQUEST = 2;
	private String selectedNumber;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_select_intent);

		Button button1 = (Button) this.findViewById(R.id.button1);

		button1.setOnClickListener(new View.OnClickListener() {

			@Override
			public void onClick(View v) {
				Intent intent = new Intent(Intent.ACTION_DIAL,
				Uri.parse("tel:01-6129-754"));
				startActivity(intent);
			}
		});
		
		Button button2 = (Button) this.findViewById(R.id.button2);

		button2.setOnClickListener(new View.OnClickListener() {

			@Override
			public void onClick(View v) {
                Uri uri = Uri.parse("content://contacts/people");
                Intent intent = new Intent(Intent.ACTION_PICK, Phone.CONTENT_URI);
                startActivityForResult(intent, 1);
			}
		});
		
		Button button3 = (Button) this.findViewById(R.id.button3);

		button3.setOnClickListener(new View.OnClickListener() {

			@Override
			public void onClick(View v) {
				Intent intent = new Intent(Intent.ACTION_WEB_SEARCH);
				intent.putExtra(SearchManager.QUERY, "FER");
				startActivity(intent);
			}
		});
	}

    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        if (resultCode == RESULT_OK) {
            //a contact was picked, select one of his/her numbers
            Cursor cursor = null;
            String phoneNumber = "";

            try {
                String id = data.getData().getLastPathSegment();

                //get and parse number
                cursor = getContentResolver().query(Phone.CONTENT_URI, null, Phone._ID + " = " + id, null, null);
                if (cursor.moveToFirst()) {
                    phoneNumber = cursor.getString(cursor.getColumnIndex(Phone.NUMBER));
                    cursor.moveToNext();
                }

            } catch (Exception e) {
                e.printStackTrace();
            } finally {
                if (cursor != null) {
                    cursor.close();
                }

                //send sms to selected number
                sendSms(phoneNumber, "sms text");
            }
        }
	}

	private void sendSms(String number, String text) {
		Intent intent = new Intent(Intent.ACTION_VIEW);
		intent.putExtra("sms_body", text);
		intent.putExtra("address", number);
		intent.setType("vnd.android-dir/mms-sms");
		startActivity(intent);
	}
}
