package hr.fer.tel.ruazosa.specialreceiver;

import android.os.Bundle;
import android.widget.LinearLayout;
import android.widget.TextView;
import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.IntentFilter;

public class ReceiverActivity extends Activity {

	private IntentFilter filter = new IntentFilter(SpecialReceiver.SPECIAL_EVENT);
	private BroadcastReceiver receiver = new SpecialReceiver();

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_receiver);

		Bundle extras = getIntent().getExtras();
		if (extras != null) {
			String message = extras.getString("message");

			LinearLayout layout = (LinearLayout) findViewById(R.id.layout_receiver);
			TextView lastReceive = new TextView(this);
			lastReceive.setText(message);
			layout.addView(lastReceive);
		}
	}

	@Override
	public void onResume() {
		// Register the broadcast receiver.
		registerReceiver(receiver, filter);
        super.onResume();
	}

    @Override
    protected void onDestroy() {
        // Unregister the receiver
        unregisterReceiver(receiver);
        super.onDestroy();
    }
}
